(function (e) {
    "use strict";
    var n = window.TWP_JS || {};
    n.stickyMenu = function () {
        if (e(window).scrollTop() > 350) {
            e("#masthead").addClass("nav-affix");
        } else {
            e("#masthead").removeClass("nav-affix");
        }
    };
    n.mobileMenu = {
        init: function () {
            this.menuMobile();
            this.toggleIcon();
            this.menuMobilearrow();
        },
        menuMobile: function () {
            e('.offcanvas-nav-toggle, .offcanvas-close-nav').on('click', function (event) {
                e('body').toggleClass('offcanvas-nav-open');
            });
        },
        toggleIcon: function () {
            e('#offcanvas-menu .offcanvas-navigation').on('click', 'li a i', function (event) {
                event.preventDefault();
                var ethis = e(this),
                    eparent = ethis.closest('li'),
                    esub_menu = eparent.find('> .sub-menu');
                if (esub_menu.css('display') == 'none') {
                    esub_menu.slideDown('300');
                    ethis.addClass('active');
                } else {
                    esub_menu.slideUp('300');
                    ethis.removeClass('active');
                }
                return false;
            });
        },
        menuMobilearrow: function () {
            if (e('#offcanvas-menu .offcanvas-navigation div.menu > ul').length) {
                e('#offcanvas-menu .offcanvas-navigation div.menu > ul .sub-menu').parent('li').find('> a').append('<i class="ion-md-arrow-dropdown">');
            }
        },
    };
    n.TwpSearch = function () {
        e(".search-button").click(function () {
            e(".search-box").slideToggle("500");
        });
        e('.search-button').click(function () {
            e(this).toggleClass('active');
        });
    };
    n.DataBackground = function () {
        e('.bg-image').each(function () {
            var src = e(this).children('img').attr('src');
            e(this).css('background-image', 'url(' + src + ')').children('img').hide();
        });
    };
    n.InnerBanner = function () {
        var pageSection = e(".data-bg");
        pageSection.each(function (indx) {
            if (e(this).attr("data-background")) {
                e(this).css("background-image", "url(" + e(this).data("background") + ")");
            }
        });
    };
    n.TwpHeroSlider = function () {
        var ecarousel = e('.carousel');
        if (ecarousel.length) {
            ecarousel.each(function () {
                var items, singleItem, autoPlay, transition, drag, stopOnHover, navigation, pagination;
                items = e(this).data('items');
                singleItem = e(this).data('single-item') === undefined ? false : true;
                autoPlay = e(this).data('autoplay');
                transition = e(this).data('transition') === undefined ? false : e(this).data('transition');
                pagination = e(this).data('pagination') === undefined ? false : true;
                navigation = e(this).data('navigation') === undefined ? false : true;
                drag = transition == "fade" ? false : true;
                stopOnHover = transition === "fade" || pagination === false || navigation === false ? false : true;
                e(this).owlCarousel({
                    items: 1,
                    singleItem: singleItem,
                    autoPlay: autoPlay,
                    pagination: pagination,
                    navigation: navigation,
                    smartSpeed: 500,
                    stopOnHover: 1,
                    autoplayHoverPause: true,
                    transitionStyle: transition,
                    mouseDrag: drag,
                    touchDrag: drag,
                    lazyLoad: true,
                    nav: true,
                    navText: [
                        "<i class='ion-ios-arrow-left'></i>",
                        "<i class='ion-ios-arrow-right'></i>"
                    ],
                    loop: (e('.carousel').children().length) == 1 ? false : true,
                    navRewind: false,
                    autoplay: true,
                    autoplayTimeout: 8000,
                    rewindNav: true
                });
            });
        }
    };
    n.TwpSlider = function () {
        e(".services-carousel").owlCarousel({
            items: 1,
            slideSpeed: 350,
            singleItem: true,
            autoHeight: true,
            nav: false
        });
        e(".twp-testmonial").owlCarousel({
            items: 1,
            slideSpeed: 350,
            singleItem: true,
            autoHeight: true,
            nav: true,
            navText: [
                "<i class='ion-ios-arrow-left'></i>",
                "<i class='ion-ios-arrow-right'></i>"
            ]
        });
    };
    n.show_hide_scroll_top = function () {
        if (e(window).scrollTop() > e(window).height() / 2) {
            e("#scroll-up").fadeIn(300);
        } else {
            e("#scroll-up").fadeOut(300);
        }
    };
    n.scroll_up = function () {
        e("#scroll-up").on("click", function () {
            e("html, body").animate({
                scrollTop: 0
            }, 800);
            return false;
        });
    };
    n.twp_isotope = function () {
        var emasonry = e('.masonry').isotope({
            itemSelector: '.masonry-item',
            masonry: {}
        });
        e('.filter-group').on('click', 'li span', function () {
            var filterValue = e(this).attr('data-filter');
            emasonry.isotope({filter: filterValue});
        });
    };
    n.MagnificPopup = function () {
        e('.widget .gallery, .entry-content .gallery, .wp-block-gallery').each(function () {
            e(this).magnificPopup({
                delegate: 'a',
                type: 'image',
                closeOnContentClick: false,
                closeBtnInside: false,
                mainClass: 'mfp-with-zoom mfp-img-mobile',
                image: {
                    verticalFit: true,
                    titleSrc: function (item) {
                        return item.el.attr('title');
                    }
                },
                gallery: {
                    enabled: true
                },
                zoom: {
                    enabled: true,
                    duration: 300,
                    opener: function (element) {
                        return element.find('img');
                    }
                }
            });
        });
    };
    e(document).ready(function () {
        n.mobileMenu.init();
        n.TwpSearch();
        n.DataBackground();
        n.InnerBanner();
        n.TwpHeroSlider();
        n.TwpSlider();
        n.scroll_up();
        n.MagnificPopup();
    });
    e(window).scroll(function () {
        n.stickyMenu();
        n.show_hide_scroll_top();
    });
    e(window).load(function () {
        n.twp_isotope();
    });
    e(window).resize(function () {
        n.mobileMenu.addRemoveClasses();
    });
})(jQuery);